.single-blog-box {
    height: 100%;
    display: flex;
    flex-direction: column;
    margin-bottom: 30px !important;
}

.blog-content {
    flex-grow: 1;
    padding: 20px;
}

.blog-title {
    height: 100px; 
    overflow: hidden;
}

.blog-title a {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    line-height: 1.5;
}
.blog-area .col-lg-4.col-md-6 {
    margin-bottom: 30px !important;
}